select
    dig.dtpartoprovavel as "Previso de Parto"
    , recep.numero as "Receptora"
    , doa.numero as "Doadora"
    , tou.numero as "Reprodutor"
    , dig.sexocria1 as "Sexo Diagnsticado"
from coleta c
    join reproducao ia on ia.cdcoleta = c.cdcoleta
    join reproducao dig on dig.cdreproducao =
        (select first 1 re.cdreproducao
        from reproducao re
        where re.cdanimal = ia.cdanimal
            and re.data > ia.data
        order by re.data desc)
    join animal recep on recep.cdanimal = ia.cdanimal
    join animal doa on doa.cdanimal = c.cddoadora
    join animal tou on tou.cdanimal = (select cdpai from animal where cdanimal = ia.cdembriao)
where dig.cdtiporeproducao = 4
    and dig.diagnostico = 'P'
-- Insira o perodo desejado 'aaaa-mm-dd'
    and c.datacoleta between '1900-01-01' and '2200-12-31'
